Skip to content
Draft: the API is under development and may change before the first release

List webhook endpoints

GET
/webhook-endpoints
curl --request GET \
--url https://api.pachapay.io/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>'

Endpoints.

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
url
required
string format: uri
/^https:///
events
required
Array<string>
Allowed values: payment.created payment.requires_action payment.succeeded payment.failed payment.expired payment.canceled payment.partially_paid payment.overpaid payment.chargeback payout.created payout.succeeded payout.failed payout.canceled payout.returned refund.succeeded refund.failed payment.processing payment.on_hold payout.processing payout.on_hold payout.delayed refund.created refund.processing refund.returned balance.updated
status
required
string
Allowed values: active disabled
created_at
string format: date-time

Example

{
"data": [
{
"id": "whk_0192f3f0",
"events": [
"payment.created"
],
"status": "active"
}
]
}

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}